$ErrorActionPreference = 'Stop'; # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$url        = 'https://win-installers.admobilize.com/malos-vision/Malos-Vision-1.3.1-win32.msi' # download url, HTTPS preferred

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'MSI'
  url           = $url
  softwareName  = 'admobilize-malos-vision*'
  checksum      = '344C502E59E0A0B74177D5A10DF149EAC92E535A62B5DBB8CEF260E2497A5A4B'
  checksumType  = 'sha256'
  silentArgs    = "/quiet"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
Install-ChocolateyEnvironmentVariable -VariableName "OPENCV_VIDEOIO_PRIORITY_MSMF" -VariableValue "0" -VariableType Machine
Install-ChocolateyPath "${env:ProgramFiles(x86)}\AdMobilize\Malos Vision\bin" -PathType 'Machine'
